Name:           libgweather
Version:        4.4.0
Release:        1
Summary:        A library for weather information
License:        GPLv2+
URL:            https://wiki.gnome.org/Projects/LibGWeather
Source0:        https://download.gnome.org/sources/libgweather/4.4/libgweather-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gi-docgen
BuildRequires:  meson
BuildRequires:  pkgconfig(geocode-glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  python3-gobject-base
BuildRequires:  vala

%description
libgweather is the location/timezone/weather library/database used by InitialSetup,
 Weather, Clocks, Shell and Calendar.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package_help

%prep
%autosetup -p1 -n libgweather-%{version}

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc CONTRIBUTING.md NEWS README.md
%license COPYING
%{_libdir}/libgweather-4.so.0*
%{_libdir}/girepository-1.0/GWeather-4.0.typelib
%dir %{_libdir}/libgweather-4
%{_libdir}/libgweather-4/Locations.bin
%dir %{_datadir}/libgweather-4
%{_datadir}/libgweather-4/Locations.xml
%{_datadir}/libgweather-4/locations.dtd
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather4.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather4.gschema.xml

%files devel
%{_includedir}/libgweather-4.0
%{_libdir}/libgweather-4.so
%{_libdir}/pkgconfig/gweather4.pc
%{_datadir}/gir-1.0/GWeather-4.0.gir
%dir %{_datadir}/vala/
%dir %{_datadir}/vala/vapi/
%{_datadir}/vala/vapi/gweather4.deps
%{_datadir}/vala/vapi/gweather4.vapi

%files help
%license COPYING
%{_docdir}/libgweather-4.0


%changelog
* Tue Mar 12 2024 liweigang <liweiganga@uniontech.com> - 4.4.0-1
- update to version 4.4.0

* Mon Jan 2 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 4.2.0-1
- Update to 4.2.0

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 4.0.0-1
- Update to 4.0.0

* Mon May 24 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.36.2-1
- Upgrade to 3.36.2
- Update Version, BuildRequires, stage 'install' and 'files'

* Wed Jan 27 2021 hanhui <hanhui15@huawei.com> - 3.36.1-1
- Type: enhancement
- ID:   NA
- SUG:  NA
- DESC: update to 3.36.1

* Mon Dec 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.32.2-3
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:modify the patch

* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.32.2-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:bugfix about translations from Macau to Macao

* Fri Sep 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.32.2-1
- Package init
